【活用ガイド】

[English]

JVNDB-2017-000252

MQTT.js における PUBLISH パケットの扱いに関する問題

概要

MQTT.js は、MQTT 用のクライアントライブラリです。MQTT.js には PUBLISH パケットの扱いに関する問題が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社富士通研究所 坂口 昌隆 氏、野田 敏達 氏、兒島 尚 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 低
影響を受けるシステム


MQTT.js
  • MQTT.js 2.15.0 より前の 2 系

想定される影響

MQTT の Broker から多数の PUBLISH パケットを受信することで、サービス運用妨害 (DoS) 攻撃を受ける可能性があります。
対策

[MQTT.js をアップデートし、アプリケーションをリビルドする]
MQTT.js を使用したアプリケーションを開発している場合、MQTT.js をアップデートしてからアプリケーションをリビルドしてください。
ベンダ情報

MQTT.js
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2017-10910
参考情報

  1. JVN : JVN#45494523
更新履歴

[2017年12月25日]
  掲載